package com.ruoyi.oa.service;

import com.ruoyi.oa.domain.OaSalaryTemplateDetail;
import com.ruoyi.oa.domain.vo.OaSalaryTemplateDetailVo;
import com.ruoyi.oa.domain.bo.OaSalaryTemplateDetailBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 薪资模板明细Service接口
 *
 * @author ruoyi
 * @date 2025-06-23
 */
public interface IOaSalaryTemplateDetailService {

    /**
     * 查询薪资模板明细
     */
    OaSalaryTemplateDetailVo queryById(Long salaryDetailId);

    /**
     * 查询薪资模板明细列表
     */
    TableDataInfo<OaSalaryTemplateDetailVo> queryPageList(OaSalaryTemplateDetailBo bo, PageQuery pageQuery);

    /**
     * 查询薪资模板明细列表
     */
    List<OaSalaryTemplateDetailVo> queryList(OaSalaryTemplateDetailBo bo);

    /**
     * 新增薪资模板明细
     */
    Boolean insertByBo(OaSalaryTemplateDetailBo bo);

    /**
     * 修改薪资模板明细
     */
    Boolean updateByBo(OaSalaryTemplateDetailBo bo);

    /**
     * 校验并批量删除薪资模板明细信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
